﻿package
{
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.events.FullScreenEvent;
	import flash.display.DisplayObject;
	import flash.events.MouseEvent;
	

	
	public class Boussoler extends Sprite
	{
		private var col:uint = 2;
		private var line:uint = 2;
		private var clip:Sprite;
		private var angle:Number;
		
		
		public function Boussoler()
		{
			addEventListener(Event.ADDED_TO_STAGE, addedHandler);
		}
		
		private function fullhandler(e:FullScreenEvent):void
		{
			while(numChildren>0){
				var c:DisplayObject = getChildAt(0);
				removeChildAt(0);
				c = null;
			}
			init();
		}
		
		private function addedHandler(e:Event):void
		{
			stage.addEventListener(FullScreenEvent.FULL_SCREEN,fullhandler);
			init();
		}
		private function init():void
		{
			var nbrl:Number = stage.stageWidth/col;
			var nbrh:Number = stage.stageHeight/line;
			for(var i:uint=1;i<line;i++){
				for(var j:uint=1;j<col;j++){
					for (var k:uint=1;k<col;k++){
						clip = new Sprite();
						clip.graphics.lineStyle(.2,Math.random()*0xffffff);
						clip.graphics.moveTo(0,-10);
						clip.graphics.lineTo(0,10);
						clip.graphics.lineStyle(.2,0xffffff);
						clip.graphics.drawCircle(10,10,3);
						clip.x = j*nbrl;
						clip.y = i*nbrh;
						clip.z = k*nbrh;
						clip.alpha=.5;
						addChild(clip);
						clip.addEventListener(Event.ENTER_FRAME,enterHandler);
						clip.addEventListener(MouseEvent.MOUSE_OVER,enterHandler2);
					}
				}
			}
		}
		
		private function enterHandler(e:Event):void
		{
			angle = Math.atan((e.currentTarget.y-mouseY)/(e.currentTarget.x-mouseX));
			e.currentTarget.rotation = angle*180/Math.PI+Math.sin(angle)*500;
			e.currentTarget.scaleY = angle*2;
			//e.currentTarget.scaleZ = angle*10;
		}
		private function enterHandler2(e:MouseEvent):void
		{
			e.currentTarget.rotationY = angle*180/Math.PI+Math.sin(angle)*500;
		}
	}
}